<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
    </div>
    <div class="link pl-10">
      <router-link :to="{ name: 'modelo_negocio_publicados' }">
        ¿No es el documento que buscabas? Regresa a la bandeja
      </router-link>
    </div>
    <div class="pl-2 pb-4">
      <FolioDetalle :folio="folio" />
    </div>
  </div>
</template>
<style scoped>
.link {
  text-decoration: underline;
  color: black;
  cursor: pointer;
}
</style>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
import FolioDetalle from "@/views/secure/modelo-negocio/documentos/visualizador/folios/usuario/publicados/components/FolioDetalle.vue";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  name: "Component-Detalle",
  components: {
    FolioDetalle,
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Negocio",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio",
          },
        },
        {
          text: "Publicados",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio_publicados",
          },
        },
      ],
      folio: {},
    };
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
    user() {
      let user = serviceLocalStorage.userToken();
      if (!user) {
        user = {};
      }
      return user;
    },
  },
  methods: {
    initValues() {
      this.breadcrumbs.push({
        text: this.serviceCommons.titleCase(this.folio.documento.titulo),
        disabled: true,
      });
    },
    visualizarFolio() {
      let body = {
        visualizado: true,
      };
      axios
        .get(
          "/modelo-negocio/folios/v1/" +
            this.folio.idFolio +
            "/usuarios/" +
            "+this.user.empleado+" +
            "/visualizacion",
          body
        )
        .then((response) => {})
        .catch((error) => {
          console.log(error);
        })
        .finally(() => {
          self.loading = false;
        });
    },
  },
  created() {
    if (this.$route.params.folio) {
      this.folio = this.serviceCommons.base64ToObject(this.$route.params.folio);
      this.initValues();
    }
  },
};
</script>
